## AtomEntry

Description

Located in /inc/AtomFeed.php (line 33)

Method Summary
static void setDate ( $tagname, $epoch)
AtomEntry __construct ( $id, $title, $published, $updated)
void addAuthor ( $new_value)
void addCategory ( $new_value)
void addNode ( $in_tag, [ $content = false], [ $attributes = false], [ $xmlns = null])
void getXML ()
void setContent ( $new_value, [ $type = 'xhtml'])
void setDateCreated ( $epoch)
void setDateModified ( $epoch)
void setDescription ( $new_value, [ $type = 'text'])
void setId ( $new_value)
void setLink ( $new_value, [ $type = "text/calendar"], [ $rel = 'alternate'])
void setTitle ( $new_value, [ $type = 'text'])
Methods
static setDate (line 67)

- access: public

void setDate ( $tagname, $epoch)

- $tagname
- $epoch

Constructor __construct (line 53)
AtomEntry __construct ( $id, $title, $published, $updated)

- $id
- $title
- $published
- $updated

addAuthor (line 87)

- access: public

void addAuthor ( $new_value)

- $new_value

addCategory (line 99)

- access: public

void addCategory ( $new_value)

- $new_value

addNode (line 123)

- access: public

void addNode ( $in_tag, [ $content = false], [ $attributes = false], [ $xmlns = null])

- $in_tag
- $content
- $attributes
- $xmlns

getXML (line 130)

- access: public

void getXML ()
setContent (line 112)

- access: public

void setContent ( $new_value, [ $type = 'xhtml'])

- $new_value
- $type

setDateCreated (line 77)

- access: public

void setDateCreated ( $epoch)

- $epoch

setDateModified (line 72)

- access: public

void setDateModified ( $epoch)

- $epoch

setDescription (line 108)

- access: public

void setDescription ( $new_value, [ $type = 'text'])

- $new_value
- $type

setId (line 57)

- access: public

void setId ( $new_value)

- $new_value

setLink (line 83)

- access: public

void setLink ( $new_value, [ $type = "text/calendar"], [ $rel = 'alternate'])

- $new_value
- $type
- $rel

setTitle (line 62)

- access: public

void setTitle ( $new_value, [ $type = 'text'])

- $new_value
- $type

Documentation generated on Fri, 13 Jan 2012 23:44:51 +1300 by phpDocumentor 1.4.3